Bug 151282 - SQL CC: CC doesn't work inside create stored procedure script
SQL CC: CC doesn't work inside create stored procedure script
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: SQL Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 13:58 UTC by Roman Mostyka
Modified: 2009-09-07 17:06 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-10-24 13:58:08 UTC
1. Connect to "travel" Java DB, open SQL editor and type following:
"delimiter \\
create procedure p1() 
begin
  select * from ;
end\\"
2. Move cursor after "from " and press Ctrl+Space.

Result: "No suggestions" message appears.
Comment 1 Andrei Badea 2008-10-25 00:26:26 UTC
The CC already parses the editor contents to statements, but it probably needs to parse the statement under caret once
again, with semicolon as the delimiter.
Comment 2 Jiri Rechtacek 2009-02-10 15:16:00 UTC
Reassigned to new owner.
Comment 3 Jiri Skrivanek 2009-09-04 15:30:38 UTC
Fixed.
core-main #08d97f8e6535
Comment 4 Quality Engineering 2009-09-07 17:06:52 UTC
Integrated into 'main-golden', will be available in build *200909071104* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/08d97f8e6535
User: Jiri Skrivanek <jskrivanek@netbeans.org>
Log: #151282 - Added code completion inside create procedure statement.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo